#
# spec file for package live-fat-stick
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           live-fat-stick
Version:        0.3.1
Release:        5.2
Summary:        Create live usb stick on fat partition
License:        GPL-2.0+
Group:          System/Management
Url:            https://github.com/cyberorg/live-fat-stick
Source0:        live-fat-stick
Source1:        live-usb-gui        
Source2:        live-usb-gui.desktop
Requires:       dd_rescue
Requires:       fuseiso
Requires:       parted
Requires:       syslinux
Requires:       util-linux
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Create multi boot USB stick/hard disk with whole iso/s on vfat/fat32 partition
keeping existing data untouched.

If --isohybrid option is used then it removes all existing data and creates
new partitions.

run this command as root (su -, not sudo)
    live-fat-stick isopath stickpartition
e.g.: 
    live-fat-stick /home/geeko/openSUSE-Edu-li-f-e-12.2-1-i686.iso /dev/sdXY

To add various distribution iso to the stick, run the following:
    For openSUSE    : live-fat-stick --suse /path/to/openSUSE-filename.iso /dev/sdXY
    For Ubuntu  : live-fat-stick --ubuntu /path/to/ubuntu-filename.iso /dev/sdXY
    For Mint    : live-fat-stick --mint /path/to/mint-filename.iso /dev/sdXY
    For Fedora  : live-fat-stick --fedora /path/to/fedora-filename.iso /dev/sdXY
    For isohybrid : live-fat-stick --isohybrid /path/to/isohybrid-filename.iso /dev/sdX

isopath should be full absolute path of iso image and the device should be 
actual partition on the stick like /dev/sdb1, /dev/sdc1,/dev/sdc2...

The stick partition has to be vfat/fat32 format.

run live-fat-stick -l(or --list) to list the possible usb storage devices available.

It is possible to boot multiple distributions and iso images from same device, 
should work with all recent openSUSE or Ubuntu live iso images. Fedora iso is
not copied but is extracted as it does not support booting from iso.

%package -n live-usb-gui
Requires:       live-fat-stick = %{version}
Recommends:     zenity kdialog
Summary:        Create live usb stick on fat partition
Group:          System/Management

%description -n live-usb-gui
A simple zenity/kdialog based GUI to run live-fat-stick script that creates
bootable USB device(stick/HDD) using iso image on a vfat partition, keeps
existing data untouched.

It also supports creating bootable USB sticks from iso images processed with
isohybrid, such as openSUSE installation DVD and other Linux distributions.

%prep

%build

%install
%__install -d -m 755 %{buildroot}/%_bindir/
%__install -d -m 755 %{buildroot}/%_datadir/applications/
cp %{SOURCE0} %{buildroot}/%_bindir/
cp %{SOURCE1} %{buildroot}/%_bindir/
cp %{SOURCE2} %{buildroot}/%_datadir/applications/

chmod 755 %{buildroot}/usr/bin/* 
%suse_update_desktop_file live-usb-gui 

%post -n live-usb-gui
%desktop_database_post

%postun -n live-usb-gui
%desktop_database_postun

%files
%defattr(-,root,root)
%_bindir/live-fat-stick

%files -n live-usb-gui
%defattr(-,root,root)
%_bindir/live-usb-gui
%_datadir/applications/live-usb-gui.desktop

%changelog
* Fri Jul 10 2015 cyberorg@opensuse.org
- fixes for isoname and path with spaces in them
* Thu Feb 26 2015 cyberorg@opensuse.org
- use by-path instead of by-id to detect usb storage devices
* Sat Nov  8 2014 opensuse.lietuviu.kalba@gmail.com
- Fix live-fat-stick then ISO filename contains spaces
* Thu Jan 30 2014 cyberorg@opensuse.org
- use fuseiso to mount iso image instead of mount
* Wed Jan 29 2014 cyberorg@opensuse.org
- dd_rescue optimization
- live-fat-stick now supports --isohybrid option
* Tue Jan 21 2014 cyberorg@opensuse.org
- live-usb-gui supports isohybrid and be nice
* Wed Dec  4 2013 cyberorg@opensuse.org
- minor fixes
* Thu Feb 14 2013 cyberorg@opensuse.org
- add live-usb-gui
* Mon Feb 11 2013 cyberorg@opensuse.org
- supports ubuntu and fedora as well, see live-fat-stick -h
  for syntax change
* Sat Sep 15 2012 cyberorg@opensuse.org
- better handling of iso already on stick
* Fri Sep 14 2012 cyberorg@opensuse.org
- cleanup, allow using iso already on usb stick
* Fri Sep 14 2012 cyberorg@opensuse.org
- live-fat-stick -l to list possible usb sticks
* Thu Sep 13 2012 cyberorg@opensuse.org
- initial package
